Update Email Template

Updates the Email template for a specified Email template type within a specific Tenant.

PUT
/v2/manage/email-templates/{templateType}

Updates the Email template for a specified Email template type within a specific Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Path Parameters

templateType*string

The type of Email template to delete.

Value in"registration" | "forgotpassword" | "forgotprovider" | "deleteaccount" | "add_email" | "welcome" | "oneclicksignin" | "autologin" | "noregistrationpasswordlesslogin" | "resetpassword" | "suspicious_ip_email_to_user" | "suspicious_city_email_to_user" | "suspicious_country_email_to_user" | "suspicious_browser_email_to_user" | "risk_identified_to_admin" | "forgotpin" | "secondfactorauthentication" | "invite_user_to_organization" | "suspicious_device_email_to_user" | "breached_password" | "admin_notification_breached_password" | "add_passkey" | "delete_passkey" | "forget_passkey"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/email-templates/registration" \  -H "Content-Type: application/json" \  -d '{    "Template": "string",    "Subject": "string"  }'
{
  "TemplateType": "welcome",
  "TemplateName": "Welcome Email",
  "Template": "Welcome to our service! We are glad to have you.",
  "Subject": "Welcome to our service!",
  "IsActive": true,
  "TextTemplate": "Welcome to our service! We are glad to have you.",
  "FromName": "Support Team",
  "FromEmail": "test@gmail.com",
  "EmailConfigId": "123e4567-e89b-12d3-a456-426614174000",
  "VerificationTokenType": "Otp"
}

{
  "ErrorCode": 1079,
  "Message": "Put body is invalid or empty",
  "Description": "Please use a valid put body in JSON format in order to process this request."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "ErrorCode": 7922,
  "Message": "Email template is not configured.",
  "Description": "You have not added any email templates for this site, Please add at least one email template."
}

{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}